This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 116248 - patch for ISO C
patch for ISO C
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: alchemist (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-19 10:04 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.0.32-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-19 10:13:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-02-19 10:04:44 EST
Description of problem:

Hello there, 

Here is patch to get alchemist-1.0.31-1 to compile on ISO C
compilers.


--- pyalchemist.c.orig	2004-02-19 11:53:59.000000000 +0000
+++ pyalchemist.c	2004-02-19 11:54:29.000000000 +0000
@@ -3704,12 +3704,6 @@
 		return (int) self->box - (int) ((pyAdmBlackBox_object *) obj)->box;
 }
 
-/**
-* pyAdmBlackBox_getattr : handles x.attr calls
-**/
-static PyObject *
-pyAdmBlackBox_getattr (pyAdmBlackBox_object *self, char *name) 
-{
 	void quux(PyObject *dict, char *name) {
 		PyObject *string, *integer;
 		integer = PyInt_FromLong(1);
@@ -3718,6 +3712,12 @@
 		Py_DECREF(string);
 		Py_DECREF(integer);
 	}
+/**
+* pyAdmBlackBox_getattr : handles x.attr calls
+**/
+static PyObject *
+pyAdmBlackBox_getattr (pyAdmBlackBox_object *self, char *name) 
+{
 	AdmError *error;
 
 	error = NULL;


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.